Bug 846462 - [abrt] xorg-x11-server-Xorg-1.12.2-4.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.2-4.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:cb220485456b567649761047f1d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 16:49 EDT by Ville-Pekka Vainio
Modified: 2013-08-01 14:51 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:51:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.55 KB, text/plain)
2012-08-07 16:49 EDT, Ville-Pekka Vainio
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (373 bytes, text/plain)
2012-08-07 16:49 EDT, Ville-Pekka Vainio
no flags Details

  None (edit)
Description Ville-Pekka Vainio 2012-08-07 16:49:11 EDT
Description of problem:
X seems to crash about once a day, I suspend the system regularly but this not directly related to sleeps/wakeups.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.2-4.fc17

Additional info:
libreport version: 2.0.12
abrt_version:   2.0.11
kernel:         3.5.0-2.fc17.x86_64

backtrace:
:0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4650a6]
:1: /usr/bin/Xorg (0x400000+0x6a069) [0x46a069]
:2: /lib64/libpthread.so.0 (0x3ffe000000+0xefe0) [0x3ffe00efe0]
:3: /usr/bin/Xorg (XIGetDeviceProperty+0x40) [0x512a70]
:4: /usr/bin/Xorg (0x400000+0x112b75) [0x512b75]
:5: /usr/bin/Xorg (0x400000+0x113112) [0x513112]
:6: /usr/bin/Xorg (0x400000+0x3444a) [0x43444a]
:7: /usr/bin/Xorg (0x400000+0x23485) [0x423485]
:8: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3ffdc21735]
:9: /usr/bin/Xorg (0x400000+0x2375d) [0x42375d]
Comment 1 Ville-Pekka Vainio 2012-08-07 16:49:16 EDT
Created attachment 602852 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 Ville-Pekka Vainio 2012-08-07 16:49:19 EDT
Created attachment 602853 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 3 Ville-Pekka Vainio 2012-08-07 16:52:43 EDT
This is a Lenovo T430 laptop with an Ivy Bridge i5 processor and an integrated Intel (4000?) GPU.
Comment 4 Michael Scherer 2012-09-04 02:44:51 EDT
Crash appeared after waking up my laptop. I was on firefox, i used "ctl + L" to go on the location bar, and suddenly, I was out of gnome-shell. It happen quite often, but i was not able to debug it more, tought this was linked to switching network. It always happen after coming out of suspend to ram.

Package: xorg-x11-server-Xorg-1.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Michael Scherer 2012-09-04 02:59:14 EDT
My laptop is a lenovo t410,

$ lspci
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:16.3 Serial controller: Intel Corporation 5 Series/3400 Series Chipset KT Controller (rev 06)
00:19.0 Ethernet controller: Intel Corporation 82577LM Gigabit Network Connection (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 06)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 06)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 06)
00:1c.3 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 4 (rev 06)
00:1c.4 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 5 (rev 06)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a6)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 06)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 6 port SATA AHCI Controller (rev 06)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 06)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 06)
03:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)
0d:00.0 SD Host controller: Ricoh Co Ltd MMC/SD Host Controller (rev 01)
0d:00.1 System peripheral: Ricoh Co Ltd Memory Stick Host Controller (rev 01)
0d:00.3 FireWire (IEEE 1394): Ricoh Co Ltd FireWire Host Controller (rev 01)
ff:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 02)
ff:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 02)
ff:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 02)
ff:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 02)
ff:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 02)
ff:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 02)


same xorg.conf.d as previous reporter, except with fr layout.

it doesn't happen each time.
Comment 6 Konrad Paumann 2012-09-07 05:14:29 EDT
it also happens to me quite often (Thinkpad T420s)
it happens after wakeup from ram (and is maybe related to network switching)

$ lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:16.3 Serial controller: Intel Corporation 6 Series/C200 Series Chipset Family KT Controller (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b4)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b4)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b4)
00:1c.4 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 (rev b4)
00:1d.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM67 Express Chipset Family LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 04)
03:00.0 Network controller: Intel Corporation Centrino Advanced-N 6205 (rev 34)
05:00.0 System peripheral: Ricoh Co Ltd MMC/SD Host Controller (rev 07)
0d:00.0 USB Controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 04)
Comment 7 Thomas Quinn 2012-09-22 01:14:14 EDT
Not sure if this is repeatable:

1) Resumed the system from suspend to ram.

2) Used firefox for a couple of minutes.


Package: xorg-x11-server-Xorg-1.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 bugzilla-redhat 2012-09-22 06:32:19 EDT
I have no idea what happened. Suddenly the X-Server crashed (already the 2nd time in a few days).

Package: xorg-x11-server-Xorg-1.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 jonathan baron 2012-10-04 06:49:58 EDT
Another random crash of the sort that happens at odd times. It cannot be reproduced.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 jonathan baron 2012-10-04 06:57:51 EDT
This is the same bug (for me) as 853756,
Comment 11 Adam Jackson 2012-10-18 17:46:39 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 12 jonathan baron 2012-10-18 18:46:10 EDT
(In reply to comment #11)
> Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this
> is still reproduceable.

It isn't reproducible in the first place. It happens at random, but usually in response to something done with the keyboard or touchpad. But it did happen yesterday, and I did have xorg-x11-server-Xorg-1.12.3.2.fc17 (not quite what you say) installed.
Comment 13 jonathan baron 2012-10-18 18:49:46 EDT
There was a bug in the synaptics driver that might have caused this, which was apparently fixed. That may have solved the problem. We'll see.
Comment 14 Brian J. Murrell 2012-10-23 13:08:40 EDT
FWIW, I just experienced this with xorg-x11-server-Xorg-1.12.3-2.fc17.
Comment 15 Filip Krska 2012-10-26 02:35:11 EDT
Not managed to reproduce. Happens sometimes during usage of Firefox, another app, moving cursor, sometimes several minutes after wake from suspended state, sometimes when "doing nothing".

Frequency: cca weekly

In Xorg.0.log.old:

[918928.891] Backtrace:
[918929.050] 0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4652d6]
[918929.050] 1: /usr/bin/Xorg (0x400000+0x6a2b9) [0x46a2b9]
[918929.050] 2: /lib64/libpthread.so.0 (0x382a600000+0xefe0) [0x382a60efe0]
[918929.050] 3: /usr/bin/Xorg (XIGetDeviceProperty+0x40) [0x512e00]
[918929.050] 4: /usr/bin/Xorg (0x400000+0x112f05) [0x512f05]
[918929.050] 5: /usr/bin/Xorg (0x400000+0x1134a2) [0x5134a2]
[918929.050] 6: /usr/bin/Xorg (0x400000+0x3447a) [0x43447a]
[918929.050] 7: /usr/bin/Xorg (0x400000+0x23485) [0x423485]
[918929.050] 8: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x382a221735]
[918929.050] 9: /usr/bin/Xorg (0x400000+0x2375d) [0x42375d]
[918929.050] 
[918929.050] Segmentation fault at address 0x100000018
[918929.050] 
Fatal server error:
[918929.050] Caught signal 11 (Segmentation fault). Server aborting


Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 16 Fedora End Of Life 2013-07-04 03:06:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2013-08-01 14:51:27 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.